#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# OctreeNode Class

Defined in: `src/utils/Octree.js:6`

- Index
- Properties

## Item Index

### Properties

- aabb
- children
- data
- root

## Properties

### `aabb`

AABB

Defined in `src/utils/Octree.js:21`

Boundary of this node

### `children`

Array

Defined in `src/utils/Octree.js:33`

Children to this node

### `data`

Array

Defined in `src/utils/Octree.js:27`

Contained data at the current node level.

### `root`

OctreeNode

Defined in `src/utils/Octree.js:15`

The root node